unit erroropt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  savepos, ExtCtrls, StdCtrls, KParam;

type
  TFormErrorOpt = class(TForm)
    sbErrOpt: TScrollBox;
    Panel1: TPanel;
    SavePos1: TSavePos;
    ButtonClose: TButton;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    EditLogFile: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure ButtonCloseClick(Sender: TObject);
    procedure CheckBoxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormErrorOpt: TFormErrorOpt;

implementation
uses kErrors,kParams;
{$R *.DFM}

procedure TFormErrorOpt.FormCreate(Sender: TObject);
var i : TCommError; cb : TkCheckBox; x1,x2,y,dy : integer;
begin
  x1 := 10;
  x2 := 60;
  y := 0;
  dy := 20;
  for i:=ceNone to Pred(ceLast) do begin
    cb := TkCheckBox.Create(self);
    cb.Parent := sbErrOpt;
    cb.top := y;
    cb.left := x1;
    cb.width := 40;
    cb.Caption := ErrorRec[i].sc;
    cb.Name := 'Error_'+ErrorRec[i].sc+'Show';
    cb.Tag := LongInt(i);
    cb.Alignment := taLeftJustify;
    cb.OnClick := CheckBoxClick;
    cb.Loaded;

    cb := TkCheckBox.Create(self);
    cb.Parent := sbErrOpt;
    cb.top := y;
    cb.left := x2;
    cb.width := 200;
    cb.Caption := ErrorRec[i].expl;
    cb.Name := 'Error_'+ErrorRec[i].sc+'Log';
    cb.Tag := LongInt(i)+100;
    cb.OnClick := CheckBoxClick;
    cb.Loaded;

    y := y + dy;
  end;
end;

procedure TFormErrorOpt.ButtonCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TFormErrorOpt.CheckBoxClick(Sender: TObject);
var i : TCommError; cb : TkCheckBox;
begin
  if not ( Sender is TkCheckBox ) then exit;
  cb := Sender as TkCheckBox;
  i := TCommError(cb.Tag mod 100);
  if ( cb.Tag < 100 ) then
    ErrorRec[i].show := cb.Checked
  else
    ErrorRec[i].log := cb.Checked;
end;

end.
